from pydantic import BaseModel


class Agency(BaseModel):
    id: str
    url: str
    name: str


class URL(BaseModel):
    url: str


class Int(BaseModel):
    int: int


class IdOnly(BaseModel):
    pass


class JSON(BaseModel):
    scraped_json: dict | list


class ScrapeghostResponse(BaseModel):
    total_cost: float
    api_time: float
    data: dict
